/* L-Dic(Linux Dictionary)
 * Copyright (C) 2002 Baek SeungSoon.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */
#ifndef _LDIC_H_
#define _LDIC_H_

#include "wlist.h"


/* rc
 */
extern char **dic_list;
extern char **font_dir;

/* search.c
 */
extern long ListSearchWord(WList *listp, char *word);
extern long FileSearchWord(char *word, char *listName);
extern char *dbSearchMean(long offset, char *dicName);

/* tagtransfor.c
 */
extern char *tagRemove(const char *orig);
extern char **tagList(const char *orig, const char *start);

/* makelist.c
 */
extern int  MakeList(const char *dicName, const char *listName);

/* printxpm.c
 */
extern int  PrintXpm(char **xpmlist, const char *dir);

#endif
